zookeeper-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ZOOKEEPER-2696) Eclipse ant ask no longer determines correct classpath for tests after ZOOKEEPER-2689
Date Wed, 15 Feb 2017 10:57:41 GMT

    [ https://issues.apache.org/jira/browse/ZOOKEEPER-2696?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15867641#comment-15867641
] 

ASF GitHub Bot commented on ZOOKEEPER-2696:
-------------------------------------------

Github user rakeshadr commented on the issue:

    https://github.com/apache/zookeeper/pull/178
  
    Thanks @afine  for reporting this. With newly added dependencies, the compilation error
will be resolved. But, I could see while running unit test case in eclipse, it needed all
the transitive dependent libraries in classpath. AFAIK, the below set of libraries needed
during test run time. Could you please confirm? If yes, then we can think of removing `transitive="false"`
from build.xml in order to reduce the length of ivy.xml, right?
    
    -  antlr-2.7.7.jar
    -  mina-core-2.0.7.jar
    -  mavibot-1.0.0-M1.jar
    -  ehcache-core-2.4.4.jar
    -  commons-pool-1.6.jar
    -  apacheds-core-2.0.0-M15.jar
    -  apacheds-core-api-2.0.0-M15.jar
    -  apacheds-core-avl-2.0.0-M15.jar
    -  apacheds-core-constants-2.0.0-M15.jar
    -  apacheds-core-shared-2.0.0-M15.jar
    -  apacheds-i18n-2.0.0-M15.jar
    -  apacheds-interceptor-kerberos-2.0.0-M15.jar
    -  apacheds-interceptors-admin-2.0.0-M15.jar
    -  apacheds-interceptors-authn-2.0.0-M15.jar
    -  apacheds-interceptors-authz-2.0.0-M15.jar
    -  apacheds-interceptors-changelog-2.0.0-M15.jar
    -  apacheds-interceptors-collective-2.0.0-M15.jar
    -  apacheds-interceptors-event-2.0.0-M15.jar
    -  apacheds-interceptors-exception-2.0.0-M15.jar
    -  apacheds-interceptors-journal-2.0.0-M15.jar
    -  apacheds-interceptors-normalization-2.0.0-M15.jar
    -  apacheds-interceptors-operational-2.0.0-M15.jar
    -  apacheds-interceptors-referral-2.0.0-M15.jar
    -  apacheds-interceptors-schema-2.0.0-M15.jar
    -  apacheds-interceptors-subtree-2.0.0-M15.jar
    -  apacheds-interceptors-trigger-2.0.0-M15.jar
    -  apacheds-jdbm1-2.0.0-M2.jar
    -  apacheds-jdbm-partition-2.0.0-M15.jar
    -  apacheds-kerberos-codec-2.0.0-M15.jar
    -  apacheds-ldif-partition-2.0.0-M15.jar
    -  apacheds-mavibot-partition-2.0.0-M15.jar
    -  apacheds-protocol-kerberos-2.0.0-M15.jar
    -  apacheds-protocol-ldap-2.0.0-M15.jar
    -  apacheds-protocol-shared-2.0.0-M15.jar
    -  apacheds-xdbm-partition-2.0.0-M15.jar
    -  api-all-1.0.0-M20.jar
    -  api-asn1-api-1.0.0-M20.jar
    -  api-asn1-ber-1.0.0-M20.jar
    -  api-i18n-1.0.0-M20.jar
    -  api-ldap-client-api-1.0.0-M20.jar
    -  api-ldap-codec-core-1.0.0-M20.jar
    -  api-ldap-extras-aci-1.0.0-M20.jar
    -  api-ldap-extras-codec-1.0.0-M20.jar
    -  api-ldap-extras-codec-api-1.0.0-M20.jar
    -  api-ldap-extras-sp-1.0.0-M20.jar
    -  api-ldap-extras-trigger-1.0.0-M20.jar
    -  api-ldap-extras-util-1.0.0-M20.jar
    -  api-ldap-model-1.0.0-M20.jar
    -  api-util-1.0.0-M20.jar
    -  bcprov-jdk15-140.jar


> Eclipse ant ask no longer determines correct classpath for tests after ZOOKEEPER-2689
> -------------------------------------------------------------------------------------
>
>                 Key: ZOOKEEPER-2696
>                 URL: https://issues.apache.org/jira/browse/ZOOKEEPER-2696
>             Project: ZooKeeper
>          Issue Type: Bug
>    Affects Versions: 3.4.10
>            Reporter: Abraham Fine
>            Assignee: Abraham Fine
>
> Following the changes made in ZOOKEEPER-2689 IDE's using the .classpath file generated
by the eclipse ant task (I tested both idea and eclipse) cannot compile the tests.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message